Bug 6416 - (int149000/int-153113) Wifi won't connect until rebooted...
(int149000/int-153113)
: Wifi won't connect until rebooted...
Status: RESOLVED FIXED
Product: Connectivity
WiFi
: 5.0/(2.2009.51-1)
: All Linux
: Low normal with 16 votes (vote)
: 5.0/(3.2010.02-8)
Assigned To: unassigned
: wifi-bugs
: http://www.youtube.com/watch?v=6DMiDj...
:
:
:
  Show dependency tree
 
Reported: 2009-11-29 13:26 UTC by David Greaves
Modified: 2011-06-02 15:45 UTC (History)
22 users (show)

See Also:


Attachments
Syslogd output (38.12 KB, text/plain)
2011-04-14 14:11 UTC, Henri
Details
syslog (139.95 KB, text/plain)
2011-04-14 15:37 UTC, Seb
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description David Greaves (reporter) 2009-11-29 13:26:24 UTC
SOFTWARE VERSION:1.2009.42-11
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
1. Connect to Wifi (WPA2 iirc)
2. Go to bed leaving device connected
3. Wake up to disconnected device
4. Attempt to reconnect - "Network Connection Error" "Try again?"
5. repeat several times
6. Power cycle device
7. Instant reconnect and no problems disconnect/reconnecting

EXPECTED OUTCOME:
Wifi works

ACTUAL OUTCOME:
Wifi doesn't work

REPRODUCIBILITY:
always

http://www.youtube.com/watch?v=6DMiDjailbI


OTHER COMMENTS:
Worked fine on Summit SW 41-10
Reflashed both eMMC and FIASCO

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9.1.4)
Gecko/20091028 Iceweasel/3.5.4 (Debian-3.5.4-1)
Comment 1 Michael Jumper 2009-11-29 20:10:41 UTC
Running Maemo 5 on an N900.

This happens for me as well, whenever the connection is switched from one
router to another.

After being connected to one WPA2+AES router, moving to a different location
serviced by a second router (with a different SSID and key, but stll WPA2+AES)
caused the above described network error which disappeared on reboot.

Once connected to the second router, moving back to the area serviced by the
first caused the network error to resurface (which, again, disappeared after
reboot).

Time spent disconnected from one router before connecting to the other was
approximately one hour (travel time).

If this bug does force all users to reboot before connecting to a different
router, I would think this should be bumped to a higher priority/severity than
"low" and "normal"...
Comment 2 Andre Klapper maemo.org 2009-11-30 18:43:32 UTC
Thanks, also for the confirmation!

David, is this also WPA2+AES for you?
Comment 3 David Greaves (reporter) 2009-11-30 20:21:27 UTC
I think so
My router is runnning wrt and has WPA1+2 and RC4/AES available

iwlist wlan0 scanning
wlan0     Scan completed :
          Cell 01 - Address: 00:1C:10:A3:03:9E
                    ESSID:"quercus"
                    Mode:Master
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=64/100  Signal level:-53 dBm  Noise level=-96 dBm
                    Encryption key:on
                    IE: Unknown: 000771756572637573
                    IE: Unknown: 010482848B96
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0102
                    IE: Unknown: 2F0102
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: Unknown: DD06001018020204
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Extra:tsf=00000cdf87221184
                    Extra: Last beacon: 179ms ago
          Cell 02 - Address: 00:1E:E5:5B:55:C4
                    ESSID:"quercus"
                    Mode:Master
                    Channel:11
                    Frequency:2.462 GHz (Channel 11)
                    Quality=12/100  Signal level:-87 dBm  Noise level=-94 dBm
                    Encryption key:on
                    IE: Unknown: 000771756572637573
                    IE: Unknown: 010482848B96
                    IE: Unknown: 03010B
                    IE: Unknown: 2A0102
                    IE: Unknown: 2F0102
                    IE: IEEE 802.11i/WPA2 Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    IE: Unknown: 32080C1218243048606C
                    IE: Unknown: DD06001018020004
                    IE: WPA Version 1
                        Group Cipher : TKIP
                        Pairwise Ciphers (2) : CCMP TKIP
                        Authentication Suites (1) : PSK
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Extra:tsf=000003212369a6c2
                    Extra: Last beacon: 203ms ago
Comment 4 Andre Klapper maemo.org 2009-12-02 14:36:06 UTC
Thanks!
Can you alsp provide a syslog?
http://wiki.maemo.org/Documentation/devtools/maemo5/syslog
Comment 5 Walter T. 2009-12-04 15:16:26 UTC
I have been having the same problem randomly, mostly during daily cwifi
connect/disconnect operations. After disconnecting from a wifi connection
occasionally the N900 won't be able to pick up any existing wifi signal. It
looks like the wifi module/service just hangs, until the device gets rebooted.

I think this bug should be considered as high priority as this issue will cause
a fully charged battery to drain in approx. 4.5 hrs if you don't realize right
away that the wifi module is not responding. And there's no obvious way to know
that,  unless you are sure that there is a wifi signal nearby and you realize
that your N900 is not picking it up.
Comment 6 Walter T. 2009-12-05 01:36:14 UTC
I have been able to recover wifi functionality after it hangs by opening an
Xterm windows, gaining root access with rootsh, and typing:
ifconfig wlan0 down 
ifconfig wlan0 up

maybe ifconfig wlan0 up is enough, I'll have to try next time wifi hangs.

I would like to stress the fact that in my case the wifi hanging drains the
battery in a few hours, so this issue is not just about being able to establish
a wifi connection.
Comment 7 kopla 2009-12-16 17:31:40 UTC
I also confirm this bug.

/var/log/syslog:

Dec 16 17:18:58 Nokia-N900-42-11 kernel: [63608.547943] wl1251: 154 tx blocks
at 0x3b788, 35 rx blocks at 0x3a780
Dec 16 17:18:58 Nokia-N900-42-11 kernel: [63608.563720] wl1251: firmware booted
(Rev 6.0.4.156)
Dec 16 17:18:59 Nokia-N900-42-11 kernel: [63609.673217] wl1251: down
Dec 16 17:19:01 Nokia-N900-42-11 kernel: [63611.493988] gprs0: detached
Dec 16 17:19:10 Nokia-N900-42-11 kernel: [63620.110717] wl1251: 154 tx blocks
at 0x3b788, 35 rx blocks at 0x3a780
Dec 16 17:19:10 Nokia-N900-42-11 kernel: [63620.126190] wl1251: firmware booted
(Rev 6.0.4.156)
Dec 16 17:19:11 Nokia-N900-42-11 kernel: [63621.290344] wl1251: down
Dec 16 17:19:24 Nokia-N900-42-11 kernel: [63634.282531] wl1251: 154 tx blocks
at 0x3b788, 35 rx blocks at 0x3a780
Dec 16 17:19:24 Nokia-N900-42-11 kernel: [63634.282897] wl1251: firmware booted
(Rev 6.0.4.156)
Dec 16 17:19:25 Nokia-N900-42-11 kernel: [63635.376342] wl1251: down
Dec 16 17:19:28 Nokia-N900-42-11 kernel: [63638.415161] wl1251: 154 tx blocks
at 0x3b788, 35 rx blocks at 0x3a780
Dec 16 17:19:28 Nokia-N900-42-11 kernel: [63638.430877] wl1251: firmware booted
(Rev 6.0.4.156)
Dec 16 17:19:29 Nokia-N900-42-11 kernel: [63639.571533] wl1251: down
Comment 8 Faidon Liambotis 2009-12-23 10:49:24 UTC
I am having the same. Two APs in the house with the same SSID and encryption
settings (WPA-PSK, same key): one WRT54G and one first-generation Fonera.

Last association before the problem was with the Fonera, which runs
OpenWrt/madwifi/hostapd.

No error messages in dmesg nor syslog. Only the ones already posted here.

What doesn't help:
- rebooted both APs just in case there's a state left somewhere,
- ifconfig wlan0 down/up,
- rmmod/modprobe wl12xx cycle(!)

What does help:
- rebooting the phone

Suggestions for debugging welcome; this is reproducible, in the sense that as
the original posting said, happens every time I get off the bed :)
Comment 9 Andre Klapper maemo.org 2009-12-28 13:48:28 UTC
This has been fixed in package
osso-wlan 3.0.14+0m5
which is part of the internal build version
2009.52-3 
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 10 David Greaves (reporter) 2009-12-28 14:03:54 UTC
Thanks for the resolve; please could the new source be released to here :
 http://repository.maemo.org/pool/fremantle/free/o/osso-wlan/
so affected users can build their own package prior to the official image being
released.
Comment 11 Andre Klapper maemo.org 2009-12-28 14:31:20 UTC
David: That's unfortunately not how Nokia's release processes work currently.
:-(
Comment 12 Alan Bruce maemo.org 2010-01-02 02:35:13 UTC
*** Bug 7541 has been marked as a duplicate of this bug. ***
Comment 13 Alan Bruce maemo.org 2010-01-02 02:36:12 UTC
Can confirm that this isn't fixed in PR1.1 (2.2009.51-1).
Comment 14 First Knight 2010-01-13 17:42:38 UTC
I have the same problem as well... Connect an old router to a newer modem no
problem.. but newer modem to a older problem... i think is the security
settings for the newer one.
Comment 15 Eriks 2010-01-14 18:15:24 UTC
Was the fix included in some public update? It is a problem for me having
2.2009.51-1
Comment 16 Andre Klapper maemo.org 2010-01-14 18:30:52 UTC
Please read bug reports before commenting on them.
As written in comment 9, this is fixed in 2009.52-3. Update is 2009.51-1, hence
older and fix not included.
Comment 17 Eriks 2010-01-14 19:02:39 UTC
Sorry, didn't notice the version in the comment #9. May there should be
separate statuses - Fixed in internal version, Fixed in public version?
Otherwise there is a lot of confusion seeing it with status fixed.
Comment 18 Andre Klapper maemo.org 2010-01-14 19:09:13 UTC
(Totally agree - to be reconsidered after upgrading Bugzilla to version 3.4
next month.)
Comment 19 First Knight 2010-01-18 18:09:23 UTC
Errrr.. i am still facing the same problem even with the new software
updated...

have connected to another router
disconnected the router
reach home, connect to my router it doesnt work at all the wifi icon keeps
blinking.
restart phone can connect again...
Comment 20 Andre Klapper maemo.org 2010-01-18 18:12:02 UTC
First Knight: Please read comment 9 and comment 16 before posting comments that
just repeat the same question again and again and make bug reports unreadable.
Thanks in advance.
Comment 21 Stefan Möhl 2010-01-28 02:11:49 UTC
The ifconfig down/up workaround isn't working for me either. Since the root
issue has been solved in the internal release, perhaps that coder knows of a
workaround that we could use until the fix has been released (i.e. a way of
getting the network up again without rebooting)?
Comment 22 Faidon Liambotis 2010-01-28 11:31:52 UTC
killall -9 eapd worked for me.
Comment 23 Paul Hartman 2010-02-01 22:02:28 UTC
(In reply to comment #22)
> killall -9 eapd worked for me.

Thanks, this also worked for me. It's a workaround until next Nokia firmware
release. Until now I've had to reboot 2 or 3 times a day to "fix" the wifi.
Comment 24 rg 2010-02-03 20:58:48 UTC
This does not work for me?
There is no processes eapd to kill?

Also I must say Im VERY surprised NOKIA could miss a bug like this!
What would happen to their sales if the news came out that nokia N900 can not
change from a wireless network to another??

If the Nokia board of directors new about this I suspect some managers would
get their heads chopped off.

That said I love this phone! I has a gigantic potential!!



(In reply to comment #23)
> (In reply to comment #22)
> > killall -9 eapd worked for me.
> 
> Thanks, this also worked for me. It's a workaround until next Nokia firmware
> release. Until now I've had to reboot 2 or 3 times a day to "fix" the wifi.
>
Comment 25 Alan Bruce maemo.org 2010-02-10 00:49:59 UTC
This is NOT fixed in 2.2009.51-1.

killall eapd -9 worked for me too.
Comment 26 Andre Klapper maemo.org 2010-02-10 16:55:31 UTC
Re Comment 24:
Yes, of course it is not fixed, as written in comment 9 and comment 16...
Please read a bug report before commenting on it. Thanks a lot!
Comment 27 Andre Klapper maemo.org 2010-02-16 14:06:26 UTC
The problem reported here should be fixed in the update released today for
public: The Maemo5 update version 3.2010.02-8 (also called "PR1.1.1"
sometimes).
Please leave a comment if the problem is not fixed for you in this update
version.
Comment 28 Faidon Liambotis 2010-02-17 11:49:44 UTC
Just happened again, first day (well, night) after upgrading to PR1.1.1.
(I have no rights to reopen the bug, could someone with the  proper permissions
do it for me? Thanks.)
Comment 29 Andre Klapper maemo.org 2010-02-17 19:39:27 UTC
Can some others that were affected by this issue also comment whether it works
for them now, or not? Faidon, wondering if you "just" run into a similar issue
than this report...
Comment 30 Lauri Mylläri 2010-02-17 22:51:56 UTC
I had the same bug, although it usually happened while the device was in use.
The 3.2010.02-8 release seems to fix it partially - device reconnects
automatically and there is no need to reboot.

Wifi connection is still unreliable. Longer Skype calls (maybe 30+ minutes)
seem to trigger this for me and the disruption is enough to disconnect the
call.

I'm using a wrt54gl with openwrt configured for wpa2/aes. I have installed
sysklogd for logging and can provide more details as soon as I test this again.
Comment 31 Xavier Bestel 2010-02-17 23:23:31 UTC
I see occasional disconnects too, which makes all account try to reconnect, and
facebookchat redisplay all recent messages.

dmesg shows tons of:
[43994.956298] wlan0: driver reports beacon loss from AP cf1bb52c - sending
probe request
Comment 32 rudolf mittelmann 2010-02-18 14:27:24 UTC
I can confirm that this bug is fixed by the PR1.1.1 firmware update
3.2010.02-8. 
What a relief! No more 3-10 reboots a day just to reconnect to WiFi.
Comment 33 Paul Hartman 2010-02-18 17:16:39 UTC
(In reply to comment #29)
> Can some others that were affected by this issue also comment whether it works
> for them now, or not? Faidon, wondering if you "just" run into a similar issue
> than this report...
> 

So far it has worked for me.
Comment 34 rudolf mittelmann 2010-02-18 21:17:32 UTC
(In reply to comment #30)
> I had the same bug, although it usually happened while the device was in use.
> The 3.2010.02-8 release seems to fix it partially - device reconnects
> automatically and there is no need to reboot.
> 
> Wifi connection is still unreliable. Longer Skype calls (maybe 30+ minutes)
> seem to trigger this for me and the disruption is enough to disconnect the
> call.
> 
> I'm using a wrt54gl with openwrt configured for wpa2/aes. I have installed
> sysklogd for logging and can provide more details as soon as I test this again.
> 

IMHO this bug 6416 is about not being able to reconnect without reboot, it is
not about WiFi connection reliability.
(By the way, I have never had longer Skype calls without interruption on any
kind of computer than 30 minutes... sometimes it interrupts after some mins or
secs. That is a problem of the Skype protocol, I think.)
Comment 35 Lauri Mylläri 2010-02-18 21:24:56 UTC
(In reply to comment #34)
> IMHO this bug 6416 is about not being able to reconnect without reboot, it is
> not about WiFi connection reliability.

Agreed. This bug is fixed for me too, the remaining problem seems like bug
8014.
Comment 36 Daniel 2010-02-19 14:34:44 UTC
I have the Problem just now using the 3.2010.02-8 Release

The process wlancond was using the CPU at 80% (everything that was left over).

Maybe theres a Race Condition between WLAN and GPRS? The place the Problem
startes has no reception at all.

But it is way better than before.
Comment 37 Faidon Liambotis 2010-02-21 20:34:10 UTC
It's 100% reproducible here on pr1.1.1. I'm consistently getting "Network
error, try again?" after losing wifi and trying to reconnect manually.

killall -9 eapd from a shell fixes the problem.
Comment 38 Henri 2010-02-26 18:37:27 UTC
I'm using the 3.2010.02-8 release and experiencing this problem with my N900.

My ap:
http://forum.wippies.com/wiki/Wippies_WiFiBox/Fin
WPA2 probably TKIP but not sure.

- killall -9 eapd doesn't fix this
- Reboot fixes problem always
- BUT it also fixes itself randomly?
--> After 5-10 failed attempts to connect it might connect suddenly or
sometimes I have switched to my open connection and switched back to WPA2
channel to to try again and it sometimes connects. Also if i leave it just in
standby it sometimes connects itself after some unspecified time.
- When I got "Network Connection Error" dmesg shows just that wlan0 probes AP
and gets timed out

If you need more information please ask and guide me :)

Dmesg log showing following:
<---------------------------
[120877.140014] wl1251: firmware booted (Rev 4.0.4.3.7)
[120878.039154] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120878.233795] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120878.429077] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120878.624389] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120879.397521] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120879.593200] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120879.788543] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120879.983764] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120880.821411] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120881.014923] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120881.210266] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120881.405609] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120882.178100] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120882.366638] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120882.561889] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120882.757202] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120883.614959] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120883.804077] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120883.999450] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120884.194702] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120884.931549] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120885.124450] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120885.320037] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120885.515014] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120886.223114] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120886.413452] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120886.608886] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120886.804046] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120887.541870] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120887.733764] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120887.929229] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120888.124420] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120888.862731] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 1
[120889.054168] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 2
[120889.249481] wlan0: direct probe to AP 00:0c:c3:72:0e:3e try 3
[120889.444763] wlan0: direct probe to AP 00:0c:c3:72:0e:3e timed out
[120889.539184] wl1251: down
[121176.312072] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[121176.327728] wl1251: firmware booted (Rev 4.0.4.3.7)
[121177.270172] wl1251: down
[121476.991760] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[121477.007446] wl1251: firmware booted (Rev 4.0.4.3.7)
[121477.854248] wl1251: down
[121501.538513] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[121501.554168] wl1251: firmware booted (Rev 4.0.4.3.7)
[121502.440338] wl1251: down
[121561.484588] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[121561.499420] wl1251: firmware booted (Rev 4.0.4.3.7)
[121562.257781] wl1251: down
[121564.828369] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[121564.828704] wl1251: firmware booted (Rev 4.0.4.3.7)
[121565.483825] wlan0: authenticate with AP 00:0c:c3:72:0e:3e
[121565.488677] wlan0: authenticated
[121565.488739] wlan0: associate with AP 00:0c:c3:72:0e:3e
[121565.493194] wlan0: RX AssocResp from 00:0c:c3:72:0e:3e (capab=0x431
status=0 aid=1)
[121565.493225] wlan0: associated
---------------------------------------------------->
Comment 39 Masood Mehmood 2010-03-13 11:02:55 UTC
Who says this is fix? or we are using a different n900 hardware? two days ago I
got my n900. I don't have any data plan yet and wifi ruined everything. going
from one wifi to another is not working... It was so shame when I showed my
n900 to my friend (iphone user) and the first thing he did was to try connect
his home network and nothing worked. It kept spinning and "selected network".
sudo gainroot stucked. touching a file causing "segmentation fault". The only
thing I can do in this situation is what windows teaches us. RESTART the phone.

and I'm using  Maemo-5-3.2010.02-8.002.

What more now????? It's annoying seeing this bug as "RESOLVED FIXED".
Comment 40 Andre Klapper maemo.org 2010-03-13 18:22:26 UTC
(In reply to comment #39)
> It was so shame when I showed my n900 to my friend

Totally offtopic for this report and not technically interesting. Please go to
the forum at talk.maemo.org as Bugzilla is NOT a forum. Thank you.
Your comment also misses ANY useful information about hardware, wifi etc.

Please read https://bugs.maemo.org/page.cgi?id=bug-writing.html before
commenting again. Thanks a lot!
Comment 41 Masood Mehmood 2010-03-13 22:20:17 UTC
Software Version: 3.2010.02-8.002

EXACT STEPS LEADING TO PROBLEM:
1. I have a linksys WRT54G2 router with "Wi-Fi Protected Setup PIN" setup in
home and in office I have a open wifi connection with no security. (and several
others lock and unlock.)
2. If my phone is connected to my home wifi and without disconnecting wifi, If
I go office, It refuses to accept any other wireless network.
3. If I click "Internet Connection", It shows a screen of "Select Connection"
and it keep searching and finally says "No connection" or sometime hildon
application not responding.
4. Meanwhile wlancond is taking 100% of the CPU. 
5. Restarting the machine solves the problem always. I'm unable to find any
other way to solve this issue. 

NOTE: I tried with other open wifi and the problem seems to be appear when we
move from one connected wifi to another wifi which was configured previously.

demsg saying: ERROR timeout waiting for the hardware to complete
initialization. 

[44555.081237] phy2: Selected rate control algorithm 'minstrel'
[44555.085205] wl1251: loaded
[44555.085845] wl1251: initialized
[44555.163269] cfg80211: Regulatory domain changed to country: US
[44555.163299]     (start_freq - end_freq @ bandwidth), (max_antenna_gain,
max_eirp)
[44555.163299]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2000 mBm)
[44555.163330]     (5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44555.163360]     (5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44555.163360]     (5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44555.163391]     (5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44555.163391]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[44555.243591] wlan0: deauthenticating by local choice (reason=3)
[44555.571777] wl12xx spi4.0: firmware: requesting wl1251-fw.bin
[44556.431121] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[44556.431457] wl1251: firmware booted (Rev 4.0.4.3.7)
[44556.609954] cfg80211: Regulatory domain changed to country: US
[44556.610015]     (start_freq - end_freq @ bandwidth), (max_antenna_gain,
max_eirp)
[44556.610046]     (2402000 KHz - 2472000 KHz @ 40000 KHz), (600 mBi, 2000 mBm)
[44556.610076]     (5170000 KHz - 5190000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44556.610137]     (5190000 KHz - 5210000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44556.610168]     (5210000 KHz - 5230000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44556.610198]     (5230000 KHz - 5330000 KHz @ 40000 KHz), (600 mBi, 2300 mBm)
[44556.610229]     (5735000 KHz - 5835000 KHz @ 40000 KHz), (600 mBi, 3000 mBm)
[44557.939056] wl1251: down
[44569.939208] wl1251: ERROR timeout waiting for the hardware to complete
initialization
[44580.462432] wl1251: 151 tx blocks at 0x3b788, 35 rx blocks at 0x3a780
[44580.478057] wl1251: firmware booted (Rev 4.0.4.3.7)
[44581.798339] wl1251: down
[44597.423706] wl1251: ERROR timeout waiting for the hardware to complete
initialization
Comment 42 Paul Hartman 2010-04-28 00:32:18 UTC
(In reply to comment #33)
> (In reply to comment #29)
> > Can some others that were affected by this issue also comment whether it works
> > for them now, or not? Faidon, wondering if you "just" run into a similar issue
> > than this report...
> > 
> 
> So far it has worked for me.
> 

Ammendment: Today I had this bug appear again for the first time since
installing 3.2010.02-8 - just like previously, the wifi could no longer connect
to any AP (I waited and retried many times during several hours), and the
command "killall -9 eapd" brought it back to functioning immediately. There
were no interesting new messages in dmesg that I could see.
Comment 43 Sami Enne nokia 2010-05-19 16:37:09 UTC
If you are able to reproduce this, you should enable the syslogd
(http://maemo.org/development/tools/doc/diablo/syslog/) and then the wlancond
debugging with

gconftool-2 --set --type int
'/system/osso/connectivity/IAP/wlancond_debug_level' '2'
killall wlancond

And after this if you are able to reproduce this send the /var/log/syslog file
from the device here.
Comment 44 Andre Klapper maemo.org 2010-06-07 11:07:05 UTC
Daniel, Henri, Masood, Paul, Faidon:
Please provide a log as described in comment 43 if this is still a problem in
10.2010.19-1 for you.
Comment 45 Masood Mehmood 2010-06-07 21:10:31 UTC
(In reply to comment #44)
> Daniel, Henri, Masood, Paul, Faidon:
> Please provide a log as described in comment 43 if this is still a problem in
> 10.2010.19-1 for you.
> 

The Issue I was experiencing was totally related to hardware and I got a
replacement phone after convincing the Nokia tech lead by sending my phone
twice.

so no more such messages and I'm happy with my n900 unit.
Comment 46 Daniel 2010-06-08 22:18:34 UTC
(In reply to comment #44)
> Daniel, Henri, Masood, Paul, Faidon:
> Please provide a log as described in comment 43 if this is still a problem in
> 10.2010.19-1 for you.

My Phone is changing between UMTS and WLAN up to 10 times a day and I could not
observe the problem in 10.2010.19-1.

Works perfectly
Comment 47 Seb 2011-04-13 13:54:17 UTC
(In reply to comment #43)
> If you are able to reproduce this, you should enable the syslogd
> (http://maemo.org/development/tools/doc/diablo/syslog/) and then the wlancond
> debugging with
> 
> gconftool-2 --set --type int
> '/system/osso/connectivity/IAP/wlancond_debug_level' '2'
> killall wlancond
> 
> And after this if you are able to reproduce this send the /var/log/syslog file
> from the device here.

Hi

Sorry to revive an old bug however I am experiencing a similar bug to Masood
Mehmood and tried creating the log file you asked for however was unable to
find a syslog file in /var/log/.

I cannot connect to any WIFI at all so am going to reflash and if that still
fails take it in for hardware repair. Before this I was wondering if there is
anything I could try to see if it is hardware or software related to save me
the time of reflashing and testing.

Thanks
Comment 48 Andre Klapper maemo.org 2011-04-13 14:04:41 UTC
Seb: See comment 4.
Comment 49 Henri 2011-04-14 14:11:34 UTC
Created an attachment (id=3347) [details]
Syslogd output

Syslogd output while wlan connection problem
Comment 50 Seb 2011-04-14 15:09:40 UTC
Created an attachment (id=3348) [details]
syslog
Comment 51 Seb 2011-04-14 15:16:44 UTC
(From update of attachment 3348 [details])
thanks for the help guys my log is attached not sure what to make of it myself!
Comment 52 Seb 2011-04-14 15:37:15 UTC
Created an attachment (id=3349) [details]
syslog

Sorry the last attachment was wrong. This is the syslog output..
Comment 53 Andre Klapper maemo.org 2011-06-02 15:45:06 UTC
(In reply to comment #52)
> Created an attachment (id=3349) [details] [details]
> syslog
> Sorry the last attachment was wrong. This is the syslog output..

dnsmasq[1167]: failed to access /var/run/resolv.conf.wlan0: No such file or
directory

dnsmasq[1167]: read /etc/hosts - 1 addresses

waitdbus[1175]: got connection

wlancond: Debug level increased to 2

wlancond[1156]: Found WLAN interface wlan0

wlancond[1156]: Device country: 234

  and a few
wlancond[1156]: Received Phone.Net.registration_status_change

wlancond[1156]: Handled csd signal, country:234

wlancond[1156]: Received com.nokia.mce.signal.system_inactivity_ind

Plus need more information on AP setup (firmware, version, router, wifi type
etc). Please file a new bug report when doing so as this seems to be a separate
issue.